Package net.shibboleth.shared.component

# Class AbstractIdentifiableInitializableComponent

java.lang.Object
net.shibboleth.shared.component.AbstractInitializableComponent
net.shibboleth.shared.component.AbstractIdentifiedInitializableComponent
net.shibboleth.shared.component.AbstractIdentifiableInitializableComponent

All Implemented Interfaces:
  `Component`, `DestructableComponent`, `IdentifiableComponent`, `IdentifiedComponent`, `InitializableComponent`

Direct Known Subclasses:
  `AbstractReloadableService`, `AbstractServiceableComponent`, `BasicAccessControlService`, `DelegatingAccessControlService`, `IPRangeAccessControl`, `ScriptedRunnable`

@ThreadSafe public abstract class AbstractIdentifiableInitializableComponent extends AbstractIdentifiedInitializableComponent implements IdentifiableComponent
An `AbstractIdentifiedInitializableComponent` with a public setter.

## Constructor Summary

Constructors
Constructor
Description
`AbstractIdentifiableInitializableComponent()`

## Method Summary

Modifier and Type
Method
Description
`void`
`setId(String componentId)`
Sets the ID of this component.

### Methods inherited from class net.shibboleth.shared.component.AbstractIdentifiedInitializableComponent

`doInitialize, ensureId, getId, ifDestroyedThrowDestroyedComponentException, ifInitializedThrowUnmodifiabledComponentException, ifNotInitializedThrowUninitializedComponentException`

### Methods inherited from class net.shibboleth.shared.component.AbstractInitializableComponent

`checkComponentActive, checkSetterPreconditions, destroy, doDestroy, initialize, isDestroyed, isInitialized`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.shibboleth.shared.component.IdentifiedComponent

`getId`

## Constructor Details

### AbstractIdentifiableInitializableComponent

public AbstractIdentifiableInitializableComponent()

## Method Details

### setId

public void setId(@Nonnull @NotEmpty String componentId)
Sets the ID of this component. The component must not yet be initialized.

Specified by:
  `setId` in interface `IdentifiableComponent`
Overrides:
  `setId` in class `AbstractIdentifiedInitializableComponent`
Parameters:
  `componentId` - ID of the component